java.awt.datatransfer

## Interface ClipboardOwner

All Known Implementing Classes:
  StringSelection

    public interface ClipboardOwner

Defines the interface for classes that will provide data to a clipboard. An instance of this interface becomes the owner of the contents of a clipboard (clipboard owner) if it is passed as an argument to `Clipboard.setContents(java.awt.datatransfer.Transferable, java.awt.datatransfer.ClipboardOwner)` method of the clipboard and this method returns successfully. The instance remains the clipboard owner until another application or another object within this application asserts ownership of this clipboard.

See Also:
  `Clipboard`

### Method Summary

Methods
`void` `lostOwnership(Clipboard clipboard, Transferable contents)` Notifies this object that it is no longer the clipboard owner.

### Method Detail

#### lostOwnership

    void lostOwnership(Clipboard clipboard,
                     Transferable contents)

Notifies this object that it is no longer the clipboard owner. This method will be called when another application or another object within this application asserts ownership of the clipboard.

Parameters:
  `clipboard` - the clipboard that is no longer owned
  `contents` - the contents which this owner had placed on the clipboard

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.